%bcond_without vala

%define glibapi 2.0
%define glibmajor 8
%define libglib %mklibname spice-client-glib %{glibapi} %{glibmajor}
%define glibgir %mklibname spice-client-glib-gir %{glibapi}

%define gtkapi 3.0
%define gtkmajor 5
%define libgtk %mklibname spice-client-gtk %{gtkapi} %{gtkmajor}
%define gtkgir %mklibname spice-client-gtk-gir %{gtkapi}

%define controllermajor 0
%define libcontroller %mklibname spice-controller %{controllermajor}
%define devname %mklibname %{name} -d

Summary:	A GTK client widget for accessing SPICE desktop servers
Name:		spice-gtk
Version:	0.34
Release:	1
License:	LGPLv2+
Group:		Networking/Remote access
Url:		http://spice-space.org/page/Spice-Gtk
Source0:	http://www.spice-space.org/download/gtk/%{name}-%{version}.tar.bz2
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool
BuildRequires:	ldetect-lst
BuildRequires:	perl-Text-CSV
BuildRequires:	python-parsing
BuildRequires:	gettext-devel
BuildRequires:	jpeg-devel
# for virtmanager
BuildRequires:	pygtk2.0-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(celt051) >= 0.5.1.1
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gio-2.0) >= 2.10.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.4
BuildRequires:	pkgconfig(gthread-2.0) > 2.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcacard) >= 0.1.2
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libphodav-2.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.9
BuildRequires:	pkgconfig(libusbredirhost) >= 0.3.3
BuildRequires:	pkgconfig(libusbredirparser-0.5)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(pixman-1) >= 0.17.7
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(spice-protocol) >= 0.12.11
BuildRequires:	pkgconfig(usbutils)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(zlib)
%if %{with vala}
BuildRequires:	vala
BuildRequires:	vala-tools
%endif

%track
prog %{name} = {
	url = http://www.spice-space.org/download/gtk/
	regex = %{name}-(__VER__)\.tar\.bz2
	version = %{version}
}

%description
Spice-GTK is a GTK client widget for accessing SPICE desktop 
servers. This package contains two simple clients based on the 
library:
	spicy is a client to access SPICE desktops.
	snappy is a tool to capture screen-shots of a SPICE desktop.

%files -f %{name}.lang
%{_bindir}/spicy
%{_bindir}/spicy-screenshot
%{_bindir}/spicy-stats
%{_bindir}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy
%{_mandir}/man1/spice-client.1*

#----------------------------------------------------------------------------

%package -n %{libglib}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libglib}
Runtime libraries for %{name}.

%files -n %{libglib}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}.*

#----------------------------------------------------------------------------

%package -n %{glibgir}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libglib} = %{EVRD}
Conflicts:	%{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{glibgir}
GObject introspection interface library for %{name}.

%files -n %{glibgir}
%{_libdir}/girepository-1.0/SpiceClientGLib-%{glibapi}.typelib

#----------------------------------------------------------------------------

%package -n %{libgtk}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libgtk}
Runtime libraries for %{name}.

%files -n %{libgtk}
%{_libdir}/libspice-client-gtk-%{gtkapi}.so.%{gtkmajor}
%{_libdir}/libspice-client-gtk-%{gtkapi}.so.%{gtkmajor}.*

#----------------------------------------------------------------------------

%package -n %{gtkgir}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libgtk} = %{EVRD}
Conflicts:	%{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{gtkgir}
GObject introspection interface library for %{name}.

%files -n %{gtkgir}
%{_libdir}/girepository-1.0/SpiceClientGtk-%{gtkapi}.typelib

#----------------------------------------------------------------------------

%package -n %{libcontroller}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libcontroller}
Runtime libraries for %{name}.

%files -n %{libcontroller}
%{_libdir}/libspice-controller.so.%{controllermajor}
%{_libdir}/libspice-controller.so.%{controllermajor}.*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libglib} = %{EVRD}
Requires:	%{libgtk} = %{EVRD}
Requires:	%{libcontroller} = %{EVRD}
Requires:	%{glibgir} = %{EVRD}
Requires:	%{gtkgir} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}spice-gtk3.0-devel < 0.7.81-2

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/spice-gtk
%{_includedir}/spice-client-glib-%{glibapi}/
%{_includedir}/spice-client-gtk-%{gtkapi}/
%{_includedir}/spice-controller/
%{_libdir}/libspice-client-glib-%{glibapi}.so
%{_libdir}/libspice-client-gtk-%{gtkapi}.so
%{_libdir}/libspice-controller.so
%{_libdir}/pkgconfig/spice-client-glib-%{glibapi}.pc
%{_libdir}/pkgconfig/spice-client-gtk-%{gtkapi}.pc
%{_libdir}/pkgconfig/spice-controller.pc
%{_datadir}/gir-1.0/SpiceClientGLib-%{glibapi}.gir
%{_datadir}/gir-1.0/SpiceClientGtk-%{gtkapi}.gir
%if %{with vala}
%{_datadir}/vala/vapi/spice-protocol.vapi
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.deps
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.vapi
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi}.deps
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi}.vapi
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn spice-gtk-%{version}

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-lz4 \
	--enable-webdav \
%if %{with vala}
	--enable-vala \
%else
	--disable-vala \
%endif
	--enable-introspection=yes \
	--enable-usbredir \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids
%make LIBS=-lX11

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/python*/site-packages/*.a
rm -f %{buildroot}%{_libdir}/python*/site-packages/*.la

%if %{without vala}
	rm -rf %{buildroot}%{_datadir}/vala/
%endif

%find_lang %{name}

%changelog
